package com.cultural.heritage.model.vo.cart;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class CartRecordVO implements Serializable {


    /**
     * 购物车记录id
     */
    private Long id;

    /**
     * 商品id
     */
    private Long goodId;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 小计
     */
    private BigDecimal subtotal;


    /**
     * 购物车商品详情信息
     */
    private CartGoodVO cartGoodVO;


    @Serial
    private static final long serialVersionUID = 1L;
}
